ExtendSim 10 is upwardly compatible and will read in models built in legacy ExtendSim versions 9, 8, and 7.

If you created a custom library in a legacy version, before opening the model using the custom libraries, open the custom library. Go to Library > Library Tools > Compile Libraries... Select your custom library and click Compile Selected Libraries. This will recompile the library creating an ExtendSim 10 library with a .lbr extension. Then, open the model in ES10.

Note: ExtendSim 10 is not backwardly compatible. Models and blocks you build in ExtendSim 10 cannot be read by earlier versions, such as ExtendSim 9 or ExtendSim 8.